<div class="staffInfo__personalInfo">
  <mb-table-wrap>
    <mb-table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [tableData]='dataTable'
    ></mb-table>
  </mb-table-wrap>

  <!--Hành động-->
  <ng-template #actionTmpl let-concurrentProcessId="concurrentProcessId" let-draftConcurrentProcessId="draftConcurrentProcessId " let-inputType="inputType">
    <mb-button *ngIf="objFunction.edit && inputType !== constant.APPROVAL_STATUSES[2].value"
               mbButtonType='ONLY_ICON'
               mbButtonIconType='AWESOME'
               class="btnEdit"
               mbPrefixIcon='far fa-pencil-alt'
               (click)='showModalUpdate(concurrentProcessId, draftConcurrentProcessId, footerTmpl)'
    ></mb-button>
    <mb-button *ngIf='objFunction?.delete'
               mbButtonType='ONLY_ICON'
               mbButtonIconType='AWESOME'
               nz-popconfirm="true"
               nzPopconfirmTitle="{{'staffManager.table.action.confirmDelete' | translate}}"
               nzCancelText="{{'staffManager.table.action.cancel' | translate}}"
               nzOkType='primary'
               nzOkText="{{'staffManager.table.action.yes' | translate}}"
               (nzOnConfirm)='deleteItem(concurrentProcessId, draftConcurrentProcessId)'
               nzPopconfirmPlacement='top' mbPrefixIcon='fal fa-trash-alt'
    ></mb-button>
  </ng-template>
  <!--End: Hành động-->

  <ng-template #footerTmpl>
    <mb-button mbButtonType='NO_BORDER' mbButtonSize='LARGE' (click)='modal.destroy()' mbButtonBgColor='transparent'
               mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType='NO_BORDER' mbButtonSize='LARGE' (click)='modal.getContentComponent().save()'
               mbButtonAvailableStyle='PRIMARY' mbButtonText="{{'common.button.save' | translate}}"></mb-button>
  </ng-template>

  <ng-template #statusTmpl let-inputType="inputType" let-status="status">
    <nz-tag class="suggestChange" [nzColor]="constant.APPROVAL_STATUSES[0].bgColor" *ngIf='inputType === constant.APPROVAL_STATUSES[0].value'>{{ getStatus(inputType) | translate}}</nz-tag>
    <nz-tag class="browsed" [nzColor]="constant.APPROVAL_STATUSES[1].bgColor" *ngIf='status === constant.APPROVAL_STATUSES[1].value'>{{ getStatus(status) | translate}}</nz-tag>
    <nz-tag class="suggestDelete" [nzColor]="constant.APPROVAL_STATUSES[2].bgColor" *ngIf='inputType === constant.APPROVAL_STATUSES[2].value'>{{ getStatus(inputType) | translate}}</nz-tag>
    <nz-tag class="suggestChange" [nzColor]="constant.APPROVAL_STATUSES[3].bgColor" *ngIf='inputType === constant.APPROVAL_STATUSES[3].value'>{{ getStatus(inputType) | translate}}</nz-tag>
  </ng-template>

  <ng-template #fileTmpl let-attachFileList="attachFileList">
    <div *ngFor="let file of attachFileList">
      <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file.fileName}}</a>
    </div>
  </ng-template>

</div>
